/* Capacitive sensing test code.
 *  Fab Academy 2018 at the Waag in Amsterdam.
 *  Copyeverything, David McCallum, 2018
 *  sintheta.org
 */



#include <CapacitiveSensor.h>
#include <SoftwareSerial.h>
#define rxPin 0
#define txPin 1

const int capMax = 11000;
const int capMin = 0;


SoftwareSerial serial(rxPin, txPin);

CapacitiveSensor   cs_4_3 = CapacitiveSensor(4,3);        // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired
CapacitiveSensor   cs_4_5 = CapacitiveSensor(4,5);        // 10M resistor between pins 4 & 2, pin 2 is sensor pin, add a wire and or foil if desired



int a = -1;

void setup() {
  // put your setup code here, to run once:

  serial.begin(9600);
  cs_4_3.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example
  cs_4_5.set_CS_AutocaL_Millis(0xFFFFFFFF);     // turn off autocalibrate on channel 1 - just as an example


}

void loop() {
  // put your main code here, to run repeatedly:


    long start = millis();
    int total1 =  cs_4_3.capacitiveSensor(30);
    int total2 =  cs_4_5.capacitiveSensor(30);

  
  // Print numbers

    serial.print(total1);
    serial.print("\t");
    serial.println(total2);

    delay(10);                             // arbitrary delay to limit data to serial port 

    

 

}


